#
# spec file for package glibc-livepatches
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define bname glibc-livepatches

Name:           %{bname}
Version:        0
Release:        150400.1.4
Summary:        Livepatches for Glibc
License:        LGPL-2.1-or-later AND LGPL-2.1-or-later WITH GCC-exception-2.0 AND GPL-2.0-or-later
Group:          System/Libraries

URL:            https://www.suse.com/products/live-patching
Source:         %{bname}-%{version}.tar.xz

BuildRequires:  glibc
BuildRequires:  libpulp-tools

# install if openssl and libpulp-tools installed
Supplements: (glibc and libpulp-tools)

# Only available for these architectures.
ExclusiveArch:  x86_64

%description
Live patching enables userland processes to be fixed without a restart cycle.
This package provides live patches for the libraries provided by glibc.
Applying a live patch requires libpulp-tools.

%prep
%setup -q -n %{bname}-%{version}
%autopatch -p1

%build

# Empty.

%install

# Empty.

%pre

# Empty.

%posttrans

# Empty.

%files

# Empty.

%changelog
* Fri Oct 29 2021 giuliano.belinassi@suse.com
- Initial glibc livepatch package
